この文章は Salesforce 機械翻訳システムを使用して翻訳されました。詳細はこちらをご参照ください。
英語に切り替える

Field Service フロー

Field Service フローに対応する情報��返します。このリソースは REST API バージョン 42.0 以降で使用できます。

このリソースは、フロー定義の API 参照名を受け入れ、有効なフローバージョンに関する情報を返します。有効なフローバージョンがない場合、最新のフローバージョンが返されます。フロー要素は、トランスレーションワークベンチを使用して、この API を呼び出すユーザの言語に翻訳できます。特定のフローバージョンの要素が翻訳されている場合、返されるデータではクエリの言語が使用されます。詳細は、「トランスレーションワークベンチのフローコンポーネント」を参照してください。

このリソースは、Field Service Lightning モバイルアプリケーションのユーザ権限と「フローを実行」ユーザ権限を持つ API ユーザが利用できます。

URI
/services/data/vXX.X/support/fieldservice/Flow?developerNames=Flow Unique Name
形式
JSON、XML
HTTP メソッド
GET
認証
Authorization: Bearer token
パラメータ
パラメータ 説明
developerNames フロー定義の一意の名前。現在、このパラメータを使用して指定できる一意の名前は 1 つだけです。

レスポンスボディ

次の表で、レスポンスボディの主要要素について説明します。

項目 説明
Flows Array フローのリスト
CreatedDate String フローが作成された日付
Description String フローの説明
FullName String フローの完全な名前
Id String フローの一意の ID
LastModifiedDate String フローが最後に更新された日付
Metadata
Choices Array 項目で使用される選択肢のリスト
ChoiceText String 選択肢のテキスト
DataType String 選択肢のデータ型
Name String 選択肢の名前
Screens オブジェクトの配列 フローの画面のリスト。
AllowBack Boolean 画面から戻ることができるかどうか
AllowFinish Boolean 画面からフローを完了できるかどうか
AllowPause Boolean 画面から一時停止できるかどうか
Fields オブジェクトの配列 画面で使用される項目のリスト
HelpText String 画面のヘルプテキスト
Label String 画面の表示ラベル
LocationX Number 画面の X 座標
LocationY Number 画面の Y 座標
Name String 画面の名前
ProcessType String フローのプロセスの種別。この場合は「FieldServiceMobile」となる。
Status String フローの状況
VersionNumber Number フローのバージョン番号

この要求サンプルでは、フロー定義に「FS_Flow」という一意の名前を使用しています。

応答には次の 2 つの画面が含まれます。
  • Screen 1
  • Screen 2
Screen 1 には次の 2 つの項目あります。
  • Field 1: テキスト項目
  • RadioButton: 2 つの選択肢がある項目
Screen 2 には 1 つの項目があります。
  • Field 2: テキスト項目
要求

GET

/services/data/v42.0/support/fieldservice/Flow?developerNames=FS_Flow

応答
1{
2  "flows" : [ {
3    "Id" : "301R000000008grIAA",
4    "DefinitionId" : "300R00000004OLFIA2",
5    "MasterLabel" : "FS_Flow",
6    "ManageableState" : "unmanaged",
7    "VersionNumber" : 1,
8    "Status" : "Draft",
9    "Description" : "FS Flow",
10    "ProcessType" : "FieldServiceMobile",
11    "CreatedDate" : "2017-12-05T19:22:16.000+0000",
12    "CreatedById" : "005R0000000J2glIAC",
13    "LastModifiedDate" : "2017-12-05T19:22:16.000+0000",
14    "LastModifiedById" : "005R0000000J2glIAC",
15    "Metadata" : {
16      "actionCalls" : null,
17      "apexPluginCalls" : null,
18      "assignments" : null,
19      "choices" : [ {
20        "choiceText" : "Choice A",
21        "dataType" : "String",
22        "description" : null,
23        "name" : "Choice_A",
24        "processMetadataValues" : null,
25        "userInput" : null,
26        "value" : null
27      }, {
28        "choiceText" : "Choice B",
29        "dataType" : "String",
30        "description" : null,
31        "name" : "Choice_B",
32        "processMetadataValues" : null,
33        "userInput" : null,
34        "value" : null
35      } ],
36      "constants" : null,
37      "decisions" : null,
38      "description" : "FS Flow",
39      "dynamicChoiceSets" : null,
40      "formulas" : null,
41      "fullName" : "FS_Flow-1",
42      "interviewLabel" : "FS_Flow {!$Flow.CurrentDateTime}",
43      "label" : "FS Flow",
44      "loops" : null,
45      "module" : null,
46      "processMetadataValues" : null,
47      "processType" : "FieldServiceMobile",
48      "recordCreates" : null,
49      "recordDeletes" : null,
50      "recordLookups" : null,
51      "recordUpdates" : null,
52      "screens" : [ {
53        "allowBack" : true,
54        "allowFinish" : true,
55        "allowPause" : true,
56        "connector" : {
57          "processMetadataValues" : null,
58          "targetReference" : "Screen_2"
59        },
60        "description" : null,
61        "fields" : [ {
62          "choiceReferences" : null,
63          "dataType" : "String",
64          "defaultSelectedChoiceReference" : null,
65          "defaultValue" : null,
66          "description" : null,
67          "extensionName" : null,
68          "fieldText" : "Field 1",
69          "fieldType" : "InputField",
70          "helpText" : "Help Text 1",
71          "inputParameters" : [ ],
72          "isRequired" : false,
73          "isVisible" : null,
74          "name" : "Field_1",
75          "outputParameters" : [ ],
76          "processMetadataValues" : null,
77          "scale" : null,
78          "validationRule" : null
79        }, {
80          "choiceReferences" : [ "Choice_A", "Choice_B" ],
81          "dataType" : "String",
82          "defaultSelectedChoiceReference" : null,
83          "defaultValue" : null,
84          "description" : null,
85          "extensionName" : null,
86          "fieldText" : "Pick a choice",
87          "fieldType" : "RadioButtons",
88          "helpText" : "Pick a Choice help text",
89          "inputParameters" : [ ],
90          "isRequired" : false,
91          "isVisible" : null,
92          "name" : "Pick_a_choice",
93          "outputParameters" : [ ],
94          "processMetadataValues" : null,
95          "scale" : null,
96          "validationRule" : null
97        } ],
98        "helpText" : null,
99        "label" : "Screen 1",
100        "locationX" : 189,
101        "locationY" : 178,
102        "name" : "Screen_1",
103        "pausedText" : null,
104        "processMetadataValues" : null,
105        "rules" : null,
106        "showFooter" : true,
107        "showHeader" : true
108      }, {
109        "allowBack" : true,
110        "allowFinish" : true,
111        "allowPause" : true,
112        "connector" : null,
113        "description" : null,
114        "fields" : [ {
115          "choiceReferences" : null,
116          "dataType" : "String",
117          "defaultSelectedChoiceReference" : null,
118          "defaultValue" : null,
119          "description" : null,
120          "extensionName" : null,
121          "fieldText" : "Field 1",
122          "fieldType" : "InputField",
123          "helpText" : null,
124          "inputParameters" : [ ],
125          "isRequired" : false,
126          "isVisible" : null,
127          "name" : "Field_1",
128          "outputParameters" : [ ],
129          "processMetadataValues" : null,
130          "scale" : null,
131          "validationRule" : null
132        } ],
133        "helpText" : null,
134        "label" : "Screen 2",
135        "locationX" : 437,
136        "locationY" : 289,
137        "name" : "Screen_2",
138        "pausedText" : null,
139        "processMetadataValues" : null,
140        "rules" : null,
141        "showFooter" : true,
142        "showHeader" : true
143      } ],
144      "startElementReference" : "Screen_1",
145      "steps" : null,
146      "subflows" : null,
147      "textTemplates" : null,
148      "urls" : null,
149      "variables" : null,
150      "waits" : null
151    },
152    "FullName" : "FS_Flow-1"
153  } ]
154}